
#ifndef VECTOR_H
#define VECTOR_H

#include "data_tank.h"
#include "stdincl.h"

class Vector {

  public:
 
  float x, y, z;

  Vector (float x, float y, float z) : x(x), y(y), z(z) {}
  Vector () : x(0), y(0), z(0) {}
  ~Vector () {}

  Vector operator+ (const Vector& v) const;
  Vector operator- (const Vector& v) const;
  float operator* (const Vector& v) const;
  Vector operator* (float f) const;
  Vector operator/ (float f) const;
  float dot (const Vector& v) const;
  Vector cross (const Vector& v) const;
  float len() const;
  void normalize();
};

float angle_deg (const Vector& v1, const Vector& v2);
float angle_rad (const Vector& v1, const Vector& v2);


#endif
